<?php 

/*-----------------------------------------------------------------------------------*/
/*	Portfolio Taxanomy
/*-----------------------------------------------------------------------------------*/

function portfolio_register() {  
    	 
	 $portfolio_labels = array(
	 	'name' => __( 'Portfolio', 'taxonomy general name', 'INFINITE_LANGUAGE'),
		'singular_name' => __( 'Portfolio Item', 'INFINITE_LANGUAGE'),
		'search_items' =>  __( 'Search Portfolio Item', 'INFINITE_LANGUAGE'),
		'all_items' => __( 'Portfolio', 'INFINITE_LANGUAGE'),
		'parent_item' => __( 'Parent Portfolio Item', 'INFINITE_LANGUAGE'),
		'edit_item' => __( 'Edit Portfolio Item', 'INFINITE_LANGUAGE'),
		'update_item' => __( 'Update Portfolio Item', 'INFINITE_LANGUAGE'),
		'add_new_item' => __( 'Add New Portfolio Item', 'INFINITE_LANGUAGE')
	 );
	 
	 $options = get_option('infinite_options');
	 $custom_slug = null;		
	 
	 if(!empty($options['portfolio_rewrite_slug'])) $custom_slug = $options['portfolio_rewrite_slug'];
	
	 $args = array(
			'labels' => $portfolio_labels,
			'rewrite' => array('slug' => $custom_slug,'with_front' => false),
			'singular_label' => __('Project', 'INFINITE_LANGUAGE'),
			'public' => true,
			'publicly_queryable' => true,
			'show_ui' => true,
			'hierarchical' => false,
			'menu_position' => 8,
			'menu_icon' => 'dashicons-portfolio',
			'supports' => array('title', 'editor', 'thumbnail', 'comments')  
       );  
  
    register_post_type( 'portfolio' , $args );
	
	$categories_portfolio_labels = array(
		'name' => __( 'Project Categories', 'INFINITE_LANGUAGE'),
		'singular_name' => __( 'Project Category', 'INFINITE_LANGUAGE'),
		'search_items' =>  __( 'Search Project Categories', 'INFINITE_LANGUAGE'),
		'all_items' => __( 'All Project Categories', 'INFINITE_LANGUAGE'),
		'parent_item' => __( 'Parent Project Category', 'INFINITE_LANGUAGE'),
		'edit_item' => __( 'Edit Project Category', 'INFINITE_LANGUAGE'),
		'update_item' => __( 'Update Project Category', 'INFINITE_LANGUAGE'),
		'add_new_item' => __( 'Add New Project Category', 'INFINITE_LANGUAGE'),
		'menu_name' => __( 'Project Categories', 'INFINITE_LANGUAGE')
	); 	
	
	register_taxonomy("project-category", 
			array("portfolio"), 
			array("hierarchical" => true, 
					'labels' => $categories_portfolio_labels,
					'show_ui' => true,
					'query_var' => true,
					'rewrite' => array( 'slug' => 'project-category' )
	));
	
	$attributes_portfolio_labels = array(
		'name' => __( 'Project Attributes', 'INFINITE_LANGUAGE'),
		'singular_name' => __( 'Project Attribute', 'INFINITE_LANGUAGE'),
		'search_items' =>  __( 'Search Project Attributes', 'INFINITE_LANGUAGE'),
		'all_items' => __( 'All Project Attributes', 'INFINITE_LANGUAGE'),
		'parent_item' => __( 'Parent Project Attribute', 'INFINITE_LANGUAGE'),
		'edit_item' => __( 'Edit Project Attribute', 'INFINITE_LANGUAGE'),
		'update_item' => __( 'Update Project Attribute', 'INFINITE_LANGUAGE'),
		'add_new_item' => __( 'Add New Project Attribute', 'INFINITE_LANGUAGE'),
		'new_item_name' => __( 'New Project Attribute', 'INFINITE_LANGUAGE'),
		'menu_name' => __( 'Project Attributes', 'INFINITE_LANGUAGE')
	); 	
	
	register_taxonomy('project-attribute',
		array('portfolio'),
		array('hierarchical' => true,
		'labels' => $attributes_portfolio_labels,
		'show_ui' => true,
		'query_var' => true,
		'rewrite' => array( 'slug' => 'project-attribute' )
	));  
}  
add_action('init', 'portfolio_register');

// Include Single Portfolio

function include_template_portfolio_function( $template_path ) {
if ( get_post_type() == 'portfolio' ) {
	if ( is_single() ) {
		$template_path = get_template_directory() . '/framework/post-types/single-portfolio.php';
	}
}
return $template_path;
}

add_filter( 'template_include', 'include_template_portfolio_function', 1 );

?>